document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_23000 | ---
+++
@@ -1 +1,15 @@
+# Requires
+# base.sh (for kernel-devel, gcc*, make, dkms and wget)
+
+# NFS Client
yum -y install nfs-utils nfs-utils-lib
+
+# 9p (virtfs) Support
+P9_VERSION=2.6.38.5
+yum -y install unzip
+wget -O /tmp/centos-9p-master.zip https://github.com/antst/centos-9p/archive/master.zip
+unzip -d ... | bash |
d_bash_23001 | ---
+++
@@ -22,7 +22,7 @@
echo "switch to gh-pages"
git checkout gh-pages
echo "get latest files"
-cp -r ../www/* .
+cp -r ../_build/default/www/* .
echo "git add"
git add .
echo "commit" | bash |
d_bash_23002 | ---
+++
@@ -23,6 +23,7 @@
mtr-tiny
ncdu
nethogs
+ nfs-common
ntp
pv
python-dev | bash |
d_bash_23003 | ---
+++
@@ -4,10 +4,10 @@
git clone --branch 1.8.0 https://github.com/open-source-parsers/jsoncpp.git
git clone --branch release-2.1.8-stable https://github.com/libevent/libevent.git
-wget https://sourceforge.net/projects/boost/files/boost/1.65.1/boost_1_65_1.tar.gz
-tar zxvf boost_1_65_1.tar.gz
-mv boost_1_65_1 ... | bash |
d_bash_23004 | ---
+++
@@ -2,7 +2,29 @@
karma start config/karma.conf.js --no-auto-watch --single-run --reporters=dots --browsers=PhantomJS
-NODE_ENV=test node server/server.js > /dev/null &
-sleep 1 # give server time to start
+A=`lsof -Pnl +M -i4 | grep '3001'`
+echo $A
+
+case ${A:0:4} in
+ node )
+ echo "Using already run... | bash |
d_bash_23005 | ---
+++
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+
+set -o pipefail
BUILD_PATH="$1"
CLANG_TOOLS_VERSION=7.0.0
@@ -16,7 +18,8 @@
FILES=$(echo $ROOTDIR/src/**/*.{h,cpp})
if [ "$2" = "--check" ]; then
- python "$BUILD_PATH/run-clang-tidy.py" -header-filter="^$ROOTDIR/src/.*" -quiet $FILES \
+ python "$BUILD_PA... | bash |
d_bash_23006 | ---
+++
@@ -6,3 +6,4 @@
virtualenv ~/venv;
~/venv/bin/pip install --editable ~/python-tripleoclient;
~/venv/bin/pip install tripleo-common==5.0.0.0b2 os-cloud-config==5.0.0.0b2
+~/venv/bin/pip install git+git://github.com/openstack/python-heatclient.git@master | bash |
d_bash_23007 | ---
+++
@@ -44,7 +44,7 @@
echo "Uploading assets"
echo "----"
-/usr/local/bin/upload-blog-assets.sh $(pwd)/public
+/usr/local/bin/upload_blog_assets.sh $(pwd)/public
echo "Creating RPM"
echo "----" | bash |
d_bash_23008 | ---
+++
@@ -11,4 +11,4 @@
cd hlint
cabal configure --ghc-options=-Werror
cabal build
-hlint_datadir=. dist/build/hlint/hlint --test
+hlint_datadir=../../../data dist/build/hlint/hlint --test | bash |
d_bash_23009 | ---
+++
@@ -1,2 +1,2 @@
-wget https://www.dropbox.com/s/zz99mfxvwibc07t/all_data.zip &&
+wget https://www.dropbox.com/s/p8vltf43acxpm16/all_data.zip &&
unzip all_data.zip | bash |
d_bash_23010 | ---
+++
@@ -7,11 +7,14 @@
# Prompt theme
autoload -U promptinit
promptinit
-if [ -n "$SSH_CLIENT" ]; then
- prompt adam2 cyan green yellow white
-else
- prompt adam2
-fi
+#if [ -n "$SSH_CLIENT" ]; then
+# prompt adam2 cyan green yellow white
+#else
+# prompt adam2
+#fi
+prompt pure
+
+source /usr/share... | bash |
d_bash_23011 | ---
+++
@@ -9,3 +9,6 @@
alias op='cd ~/dev/ios/Octopad'
alias ebw='cd ~/dev/ios/EBW'
alias itwire='cd ~/dev/bluemix/ITWire'
+
+# Blog main dir
+alias rl='~/dev/www/reflog/www' | bash |
d_bash_23012 | ---
+++
@@ -7,7 +7,7 @@
function doIt() {
rsync --exclude ".git/" --exclude ".DS_Store" --exclude "bootstrap.sh" \
--exclude "README.md" --exclude "LICENSE-MIT.txt" --exclude "update_apm_packages.sh" \
- --exclude ".bashshrc.windows" -avh --no-perms . ~
+ --exclude ".bashshrc.windows" --exclude "nonsync/" -av... | bash |
d_bash_23013 | ---
+++
@@ -7,6 +7,7 @@
install_mas_app 1274495053 'Microsoft To Do'
install_mas_app 1176895641 'Spark'
+install_mas_app 1091189122 'Bear'
install_mas_app 451640037 'Classic Color Meter'
install_mas_app 407963104 'Pixelmator'
install_mas_app 422304217 'Day One Classic' | bash |
d_bash_23014 | ---
+++
@@ -2,4 +2,5 @@
source ~/.rvm/scripts/rvm
rvm use default
+bundle install
bundle exec pod trunk push | bash |
d_bash_23015 | ---
+++
@@ -13,7 +13,7 @@
# Configure, build, and install
mkdir build && cd build
-cmake "${SRC_DIR}"\
+cmake "${SRC_DIR}" \
-DCMAKE_MACOSX_RPATH=false \
\
-DCMAKE_PREFIX_PATH="${PREFIX}" \ | bash |
d_bash_23016 | ---
+++
@@ -23,7 +23,7 @@
cd .documentation
git fetch
git checkout gh-pages
- git merge master
+ git merge master --commit -m "Merge master into gh-pages"
./configure
make doc
@@ -31,7 +31,7 @@
git add -f doc/
if [ -n "$(git status --untracked-files=no --porcelain)" ]; then
- git commit ... | bash |
d_bash_23017 | ---
+++
@@ -26,5 +26,4 @@
fi
# Run the same commands Travis runs by default
-R CMD build --no-build-vignettes --no-manual receptormarker
R CMD check --no-build-vignettes --no-manual --as-cran receptormarker | bash |
d_bash_23018 | ---
+++
@@ -21,4 +21,4 @@
yum -y install gcc make gcc-c++ kernel-devel-`uname -r` zlib-devel openssl-devel \
readline-devel sqlite-devel perl wget dkms curl ntp crontabs sysstat
yum -y install libxslt-devel libyaml-devel libxml2-devel gdbm-devel libffi-devel zlib-devel \
-openssl-devel libyaml-devel readline-devel... | bash |
d_bash_23019 | ---
+++
@@ -11,6 +11,12 @@
command -v sponge >/dev/null 2>&1 || { echo >&2 "sponge is required. brew install sponge"; exit 1; }
TARGET="$1"
+INFILES=$(rg --sort=path --files-with-matches --glob package.json --glob '!__fixtures__' --fixed-strings '"'$TARGET'":')
+
+if [ "$INFILES" == "" ]; then
+ echo >&2 "No p... | bash |
d_bash_23020 | ---
+++
@@ -1,4 +1,9 @@
archweb_get_pkgbase() {
- curl -Gs "https://www.archlinux.org/packages/search/json/" --data-urlencode "q=$1" |
- jq -er --arg pkgname "$1" 'limit(1; .results[] | select(.pkgname == $pkgname).pkgbase)'
+ local pkgbase
+
+ pkgbase=$(curl -Gs 'https://www.archlinux.org/packages/search/json... | bash |
d_bash_23021 | ---
+++
@@ -1,4 +1,7 @@
#!/usr/bin/env bash
+
+# This script requires the 'jq' command line tool
+# brew install jq
# Grab the MOCK build
git checkout deploy-to-mock
@@ -13,5 +16,5 @@
# Run the E2E tests against STAGE
APP_BASE_URL=http://csra-stage.hmpps.dsd.io yarn test:integration
-
-
+# Switch back to mas... | bash |
d_bash_23022 | ---
+++
@@ -12,8 +12,8 @@
cat /.ssh/id_rsa.pub | vagrant ssh -c "docker exec -i dokku sshcommand acl-add dokku root"
echo -e "\nCLONING repo\n"
-git clone https://github.com/heroku/node-js-sample.git
-cd node-js-sample/
+git clone https://github.com/experimental-platform/nodejs-hello-world.git
+cd nodejs-hello-wo... | bash |
d_bash_23023 | ---
+++
@@ -9,7 +9,7 @@
echo E.g: $0 0.1.0
echo Version is MAJOR.MINOR.BUGFIX
echo Latest versions:
- git tag | tail -n 5
+ git tag | grep -v 201 | tail -n 5
exit 1;
fi
| bash |
d_bash_23024 | ---
+++
@@ -5,6 +5,7 @@
PROMPTS="1 2 3 4 5"
USERS="1 2"
+PAIRSNEEDED="50"
newRandomThing()
{
@@ -13,12 +14,16 @@
for p in $PROMPTS;
do
- echo "URLS for Prompt $p"
+ echo "======================"
+ echo "= URLS for Prompt $p ="
+ echo "======================"
SESSION=`newRandomThing`
+ echo " Sessi... | bash |
d_bash_23025 | ---
+++
@@ -1,11 +1,11 @@
#!/usr/bin/env bash
if [[ $UID -eq 0 ]]; then
- [[ -z "$SRC_DIR" ]] && SRC_DIR="/usr/local/src"
- [[ -z "$INSTALL_DIR" ]] && INSTALL_DIR="/usr/local"
+ [[ -n "$SRC_DIR" ]] || SRC_DIR="/usr/local/src"
+ [[ -n "$INSTALL_DIR" ]] || INSTALL_DIR="/usr/local"
else
- [[ -z "$SRC_DIR" ... | bash |
d_bash_23026 | ---
+++
@@ -6,7 +6,7 @@
# lein-voom currently generates a stacktrace for lein 2.8.1
#LEIN_TEST_VERSIONS=${LEIN_TEST_VERSIONS:-2.6.1 2.7.1 2.8.1}
LEIN_TEST_VERSIONS=${LEIN_TEST_VERSIONS:-2.6.1 2.7.1}
-LEIN_TESTS=${LEIN_TESTS:-scripts/lcp_test.sh}
+LEIN_TESTS=${LEIN_TESTS:-$(echo scripts/*)}
for ver in $LEIN_TEST... | bash |
d_bash_23027 | ---
+++
@@ -7,7 +7,7 @@
local kube_color="%{$fg_bold[magenta]%}"
local context_color="%{$fg_bold[red]%}"
local reset_color="%{$reset_color%}"
- if [[ ! -z "$KUBECONFIG" ]]; then
+ if [[ -n "$KUBECONFIG" && -e "$KUBECONFIG" ]]; then
if [[ "$_kubectl_prompt_oldconfig" != "$KUBECONFIG" ]]; ... | bash |
d_bash_23028 | ---
+++
@@ -6,3 +6,4 @@
code --install-extension davidanson.vscode-markdownlint
code --install-extension eamodio.gitlens
code --install-extension angular.ng-template
+code --install-extension grapecity.gc-excelviewer | bash |
d_bash_23029 | ---
+++
@@ -26,8 +26,7 @@
git checkout master
git pull origin master
git fetch --tags
- git branch -D $tag
- git checkout tags/$tag -b $tag
+ git checkout tags/$tag -b "build-release-$tag"
echo "npm: clean and build package"
rm -rf node_modules
@@ -42,7 +41,7 @@
echo "Git cleanup"
git checko... | bash |
d_bash_23030 | ---
+++
@@ -16,4 +16,5 @@
slug="$1"
git init "$repo_base_dir/$slug"
+ cd "$_"
} | bash |
d_bash_23031 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
python manage.py dumpdata --indent 4 farms > farms/fixtures/initial_data.json
-python manage.py dumpdata --indent 4 admin emailuser contact_info > contact_info/fixtures/initial_data.json
+python manage.py dumpdata --indent 4 admin auth contact_info > contact_info/fixtures/initi... | bash |
d_bash_23032 | ---
+++
@@ -39,6 +39,9 @@
# brew cask install bartender
brew cask install flux
brew cask install hma-pro-vpn
+brew cask install microsoft-office
+brew cask install skype
+brew cask install menubar-stats
# brew cask install hugin
echo "\n\nDone\n\n"
echo "\-----------------------------------------------\n" | bash |
d_bash_23033 | ---
+++
@@ -9,19 +9,8 @@
## aliases
source ~/.shell/aliases.sh
-## skip complicated setup for dumb shells
-if [[ "$TERM" != "dumb" ]]
-then
- ## pyenv
- command -v pyenv >/dev/null 2>&1 && eval "$(pyenv init -)"
- command -v pyenv-virtualenv-init >/dev/null 2>&1 && eval "$(pyenv virtualenv-init -)"
-
- ... | bash |
d_bash_23034 | ---
+++
@@ -9,8 +9,8 @@
sed -i "s/__version_info__\ = ($current)/__version_info__ = ('${array[0]}', '${array[1]}', '${array[2]}')/g" src/sakia/__init__.py
sed -i "s/#define MyAppVerStr .*/#define MyAppVerStr \"$1\"/g" ci/appveyor/sakia.iss
sed -i "s/Version: .*/Version: $1/g" ci/travis/debian/DEBIAN/control
... | bash |
d_bash_23035 | ---
+++
@@ -28,5 +28,5 @@
CURRENT=$(pwd)
cd $1
-find | egrep '(\.cpp|\.h|\.test|\.txt|\.sh)$' | grep -v BUILD | cut -c 3-
+find | egrep '(\.cpp|\.h|\.test|\.txt|\.sh)$' | grep -v BUILD | grep -v '.git' | cut -c 3-
cd $CURRENT | bash |
d_bash_23036 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
aclocal || exit 1
+autoheader || exit 1
automake --add-missing --copy || exit 1
-autoheader || exit 1
autoconf || exit 1 | bash |
d_bash_23037 | ---
+++
@@ -10,7 +10,7 @@
-e 's/\$(\([^)]*\))/"\^<:lower<\1>>\^"/g' \
-e 's/""\^//g' \
-e 's/\^""//g' \
- -e 's/^let <lower>\(MAKE\|DO\).*$//g' \
+ -e 's/^let <:lower<\(MAKE\|DO\).*$//g' \
-e 's/"true"/true/g' \
-e 's/"false"/false/g' \
config/Makefile | \ | bash |
d_bash_23038 | ---
+++
@@ -2,7 +2,7 @@
echo -e "\e[31mInstalling requisite yum packages\e[0m"
-yum install openssh-clients openssh-server libusb1-devel mysql-devel \
+yum -y install openssh-clients openssh-server libusb1-devel mysql-devel \
python-devel libpng-devel qt-devel PyQt4 tkinter cmake lapack blas \
libsodiu... | bash |
d_bash_23039 | ---
+++
@@ -11,7 +11,7 @@
docker build -t $DOCKER_IMAGE_NAME .
-docker run --volume "$GOPATH"/src/:/go/src/ --name $DOCKER_CONTAINER_NAME $DOCKER_IMAGE_NAME make "$@"
+docker run --volume "$GOPATH"/src/:/go/src/ -e GOOS=$GOOS -e GOARCH=$GOARCH --name $DOCKER_CONTAINER_NAME $DOCKER_IMAGE_NAME make "$@"
if [[ "... | bash |
d_bash_23040 | ---
+++
@@ -1,4 +1,5 @@
export EDITOR='vi'
+export BROWSER=google-chrome
export PAGER="less"
export LESS="-R"
| bash |
d_bash_23041 | ---
+++
@@ -11,7 +11,7 @@
}
listall $1
-echo -e "\n\n~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
-echo "Not in data/languages-all.json:"
-echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
-grep -vw -f <(sed 's/^"\([^"]*\)".*/\1/' data/languages-all.json) <(listall $1)
+echo -e "\n\n~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
+echo "Not in... | bash |
d_bash_23042 | ---
+++
@@ -1,6 +1,10 @@
#!/usr/bin/env bash
set -e
+
+export ZOE_USER=admin
+export ZOE_PASS=changeme
+export ZOE_URL=http://localhost:4850
echo "Get statistics"
./zoe.py stats | bash |
d_bash_23043 | ---
+++
@@ -13,6 +13,11 @@
PACKAGE_VERSION=$(echo "$TAG" | awk -F'-' '{print $1}')
BUILD_NUMBER=$(echo "$TAG" | awk -F'-' '{print $2}')
+ if [ ! -z $PACKAGE_VERSION ] || [ ! -z $BUILD_NUMBER ]; then
+ echo "The tag '$TAG' does not contain any valid version (x.y.z-a)"
+ exit 2
+ fi
+
echo "========... | bash |
d_bash_23044 | ---
+++
@@ -16,7 +16,12 @@
source "$SCRIPT_PATH/z.sh"
_z -l 2>&1 && exit 0 || exit 0
elif [[ $FZFZ_RECENT_DIRS_TOOL == "autojump" ]]; then
- autojump -s | tac | tail +8 | tac | awk '{print $2}'
+ if [[ $OSTYPE == darwin* && -z $(whence tac) ]]; then
+ REVERSER='tail -r'
+ else
+ REVE... | bash |
d_bash_23045 | ---
+++
@@ -9,6 +9,8 @@
# #
################################################################################
+mkdir ./logs
+
while read -r imageName buildContextDirectory
do
./tools/build.sh $imageName $buildContextDirectory | bash |
d_bash_23046 | ---
+++
@@ -1,4 +1,4 @@
-pushd jrun4/bin > /dev/null
+pushd $WORK_DIR/jrun4/bin > /dev/null
case $1 in
start)
./jrun -start cfusion>/dev/null& | bash |
d_bash_23047 | ---
+++
@@ -24,6 +24,7 @@
installkernel() {
instmods sg
+ instmods ipmi_msghandler
instmods ipmi_si
instmods ipmi_devintf
} | bash |
d_bash_23048 | ---
+++
@@ -5,7 +5,7 @@
local image=""
image=$(run_docker_compose config \
- | grep -E "^( [_[:alnum:]-.]+:| image:)" \
+ | grep -E "^( [._[:alnum:]-]+:| image:)" \
| grep -E "( ${service}:)" -A 1 \
| grep -oE ' image: (.+)' \
| awk '{print $2}') | bash |
d_bash_23049 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
echo "Proofing the HTML"
-timeout 240s bundle exec htmlproofer ./_site --check-html --check-favicon --allow-hash-href --external_only --only-4xx --http-status-ignore 429
+bundle exec htmlproofer ./_site --check-html --check-favicon --allow-hash-href --check_opengraph
+timeout ... | bash |
d_bash_23050 | ---
+++
@@ -2,6 +2,17 @@
command_exists () {
type "$1" &> /dev/null
+}
+
+run_tests() {
+ echo "Running 'xcodebuild test' for $1. Please wait..."
+
+ xcodebuild \
+ -project SwiftyZeroMQ.xcodeproj \
+ -scheme SwiftyZeroMQ \
+ -sdk iphonesimulator \
+ -destination "$1" \
+ -verbose test | xcpret... | bash |
d_bash_23051 | ---
+++
@@ -9,4 +9,4 @@
# build scss into css
./node_modules/.bin/gulp
# generate style examples
-./node_modules/.bin/kss-node assets/sass build
+./node_modules/.bin/kss-node assets/sass build --verbose --homepage=../../README.md | bash |
d_bash_23052 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/sh
+
+echo "Remove old content" && rm -rf pdc
echo "Downloading project"
curl -sL "https://github.com/jasperes/personal-distro-configurator/archive/master.tar.gz" | tar xz | bash |
d_bash_23053 | ---
+++
@@ -3,7 +3,7 @@
REPO_URL="https://github.com/input-output-hk/cardano-sl.git"
REPO_PATH="$HOME/cardano-sl"
-BRANCH="cardano-sl-1.0-launch-tools"
+BRANCH="cardano-sl-1.0-genesis-json2"
START_TIME="1505930400" # 18:00 UTC on 2017-09-20
AVVM_SEED_COUNT="3" | bash |
d_bash_23054 | ---
+++
@@ -1,6 +1,9 @@
#!/bin/bash
+if [ -n $DISPLAY ]; then
+ DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+ source $DIR/run_x_commands.sh
-if ! xset q &>/dev/null; then
+else
NumCommands=${#Commands[@]}
for i in "${!Commands[@]}"; do
@@ -10,7 +13,4 @@
eval ${Commands[$i]}
done
-else
- DIR... | bash |
d_bash_23055 | ---
+++
@@ -22,8 +22,4 @@
export LSCOLORS="Gxfxcxdxbxegedabagacad"
-function oh_my_zsh_theme_precmd() {
- # Blank function; override this in your themes
-}
-
source "$ZSH/themes/$ZSH_THEME.zsh-theme" | bash |
d_bash_23056 | ---
+++
@@ -5,5 +5,5 @@
DOCS_DIR=$1
cd $DOCS_DIR
find . -not -name '.*' -type d | cut -c3- | xargs -I @ mkdir -p $OUTPUT_DIR/@
-find . -not -name '.*' -type f | cut -c3- | xargs -I @ python3 $PYTHON_UTIL -s -l docs @ -o $OUTPUT_DIR/@.md
+find . -not -name '.*' -type f | grep -v 'troubleshooter' | cut -c3- | xargs ... | bash |
d_bash_23057 | ---
+++
@@ -4,14 +4,10 @@
# Try loading ASDF from the regular home dir location
if [ -f "$HOME/.asdf/asdf.sh" ]; then
. "$HOME/.asdf/asdf.sh"
-# It's not in the home dir, let's try the default Homebrew location
-elif [ -f "/usr/local/opt/asdf/asdf.sh" ]; then
- . "/usr/local/opt/asdf/asdf.sh"
-# Not there eithe... | bash |
d_bash_23058 | ---
+++
@@ -22,4 +22,4 @@
ln -s $HOME/.vim/gvimrc $HOME/.gvimrc
echo "Updating submodules."
-cd $HOME/.vim && git submodule foreach git pull origin master
+cd $HOME/.vim && git submodule update --init | bash |
d_bash_23059 | ---
+++
@@ -2,7 +2,7 @@
set -e
-arnoldVersion=5.3.1.0
+arnoldVersion=6.0.1.0
if [[ `uname` = "Linux" ]] ; then
arnoldPlatform=linux | bash |
d_bash_23060 | ---
+++
@@ -1,5 +1,6 @@
#!/usr/bin/env sh
+pip install pex # pex is really the only thing we need here.
buildkite-agent artifact download 'dist/*.whl' dist/
make pex
buildkite-agent artifact upload 'dist/*.pex' | bash |
d_bash_23061 | ---
+++
@@ -19,5 +19,10 @@
chown -R ${RUN_USER}:${RUN_GROUP} "${CONFLUENCE_HOME}"
chmod -R u=rwx,go-rwx "${CONFLUENCE_HOME}"
+if [ -e ${CONFLUENCE_INSTALL}/temp/synchrony.pid ]; then
+ echo "[I] Removing synchrony.pid file from previous run."
+ rm ${CONFLUENCE_INSTALL}/temp/synchrony.pid
+fi
+... | bash |
d_bash_23062 | ---
+++
@@ -9,9 +9,6 @@
# Settings
node node_modules/handlebars/bin/handlebars -n OC.Settings.Templates apps/settings/js/templates -f apps/settings/js/templates.js
-
-# Systemtags
-node node_modules/handlebars/bin/handlebars -n OC.SystemTags.Templates core/js/systemtags/templates -f core/js/systemtags/templates.... | bash |
d_bash_23063 | ---
+++
@@ -15,17 +15,28 @@
# create dotfiles_old in homedir
echo "Creating $olddir for backup of any existing Dotfiles in ~"
mkdir -p $olddir
+sleep 2
echo "...done"
+echo
# change to the dotfiles directory
echo "Changing to the $dir directory"
cd $dir
+sleep 2
echo "...done"
+echo
-# move any existing d... | bash |
d_bash_23064 | ---
+++
@@ -1,9 +1,4 @@
# Set up Radical Pilot execution environment
-export SAGA_VERBOSE=debug
-export RADICAL_PILOT_VERBOSE=debug
-export RADICAL_UTILS_VERBOSE=debug
-export RADICAL_DEBUG_FILE=`pwd`/logs/radical_debug.log
-export RADICAL_PILOT_LOG_TARGETS=$RADICAL_DEBUG_FILE
-export SAGA_LOG_TARGETS=$RADICAL_DEBUG... | bash |
d_bash_23065 | ---
+++
@@ -2,5 +2,5 @@
cd $(dirname $0)
-install -o root -g root -m 0755 weave /usr/local/bin/
+install -o root -g root -m 0755 weave /usr/bin/
install -o root -g root -m 0644 weave.target weave.service weavedns.service weaveproxy.service /etc/systemd/system/ | bash |
d_bash_23066 | ---
+++
@@ -8,10 +8,12 @@
export LSCOLORS=ExFxBxDxCxegedabagacad
# Set the PATH variable.
-export PATH=$HOME/.dotfiles/bin
-export PATH=/usr/local/go/bin:$PATH
-export PATH=/usr/local/sbin:$PATH
-export PATH=/usr/local/bin:$PATH
-export PATH=/usr/sbin:$PATH
-export PATH=/usr/bin:$PATH
-export PATH=/bin:$PATH
+PAT... | bash |
d_bash_23067 | ---
+++
@@ -4,5 +4,15 @@
echo "Running syntax check on arch sim models"
for arch in ../../techlibs/*; do
- find $arch -name cells_sim.v -print0 | xargs -0 -n1 -r iverilog -t null -I$arch
+ find $arch -name cells_sim.v | while read path; do
+ echo -n "Test $path ->"
+ iverilog -t null -I$arch $path
+ echo " ok"... | bash |
d_bash_23068 | ---
+++
@@ -6,9 +6,10 @@
source /usr/local/assets/entrypoint.sh ''
fi
-if [[ "$DJANGO_MEDIA_ROOT" ]];then
- mkdir -p $DJANGO_MEDIA_ROOT
- chmod 777 -R $DJANGO_MEDIA_ROOT
+export DJANGO_PREPARE_DIRECTORIES="${DJANGO_PREPARE_DIRECTORIES:-$DJANGO_MEDIA_ROOT}"
+if [[ "$DJANGO_PREPARE_DIRECTORIES" ]];then
+ ... | bash |
d_bash_23069 | ---
+++
@@ -1,2 +1,2 @@
-export DOCKER_IMAGES_VERSION=${DOCKER_IMAGES_VERSION:-16}
+export DOCKER_IMAGES_VERSION=${DOCKER_IMAGES_VERSION:-20}
export HADOOP_BASE_IMAGE=${HADOOP_BASE_IMAGE:-"prestodev/hdp2.6-hive"} | bash |
d_bash_23070 | ---
+++
@@ -2,4 +2,4 @@
# as seen in http://www.porcheron.info/command-not-found-for-zsh/
# this is installed in Ubuntu
-source /etc/zsh_command_not_found
+[[ -e /etc/zsh_command_not_found ]] && source /etc/zsh_command_not_found | bash |
d_bash_23071 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env sh
-bundle install &&
-bundle exec rake pod:install &&
+bundle install &>/dev/null &&
+bundle exec rake pod:install &>/dev/null &&
bundle exec rake clean &&
bundle exec rake spec &&
bundle exec rake clean && | bash |
d_bash_23072 | ---
+++
@@ -1,5 +1,5 @@
#!/usr/bin/env bash
-cd "$(dirname "${BASH_SOURCE}")"
+cd "$(dirname "${BASH_SOURCE[0]}")" || (echo "Unable to switch to script directory" && exit 1)
export XDG_DATA_HOME="${HOME}/.local/share"
export XDG_CONFIG_HOME="${HOME}/.config"
@@ -10,17 +10,17 @@
# rsync contents of HOME to $HO... | bash |
d_bash_23073 | ---
+++
@@ -22,4 +22,8 @@
-v system_domain="$SYSTEM_DOMAIN" \
-o cf-deployment/operations/windows-cell.yml \
-o buildpacks-ci/deployments/edge-shared/scale-down.yml
+echo -e "\n\n======= Deployed ======="
+
+echo -e "\n\n======= Cleaning BOSH director ======="
+bosh2 -n clean-up --all
echo -e "\n\n======= Done! =... | bash |
d_bash_23074 | ---
+++
@@ -1,9 +1,6 @@
#!/bin/bash
-export CFLAGS="-I$PREFIX/include"
-export CPPFLAGS="-I$PREFIX/include"
-export LDFLAGS="-L$PREFIX/lib"
-export LD_LIBRARY_PATH=$PREFIX/lib:$LD_LIBRARY_PATH
+export CPATH=${PREFIX}/include
$PYTHON setup.py install
$PYTHON -m MiModD.__first_run__ | bash |
d_bash_23075 | ---
+++
@@ -30,7 +30,7 @@
done
./autogen.sh
-./configure --enable-tpm=no --with-stage1-flavors=coreos
+./configure --enable-tpm=no --with-stage1-flavors=coreos,fly
make
mkdir -pv ${ROOTFS}/usr/lib/rkt/stage1-images/ | bash |
d_bash_23076 | ---
+++
@@ -4,7 +4,7 @@
exit 0
fi
-CHANGED_FILES=$(git diff --name-only "$TRAVIS_BRANCH" | grep "website/" | wc -l)
+CHANGED_FILES=$(git diff --name-only "$TRAVIS_BRANCH" | grep -E "website/|deploy_stage" | wc -l)
if [ $CHANGED_FILES -gt 0 ]; then
echo "Looks like there were changes to the deploy website."
... | bash |
d_bash_23077 | ---
+++
@@ -5,17 +5,33 @@
testCreateTopics() {
NOW=$(date +%s)
- DEFAULT="default-$NOW"
- KAFKA_CREATE_TOPICS="$DEFAULT:1:1" create-topics.sh
+ # TOPICS array contains the topic name to create / validate
+ # CLEANUP array contains the expected cleanup policy configuration for the topic
+ TOPICS[0]="default-$NOW"... | bash |
d_bash_23078 | ---
+++
@@ -1,6 +1,6 @@
NAME=gridengine
-SCRIPTS_DIR=/home/ubuntu/scripts6
-#elasticluster start $NAME
+SCRIPTS_DIR=/home/ubuntu/scripts
+elasticluster start $NAME
for host in `elasticluster list-nodes gridengine | grep " -" | cut -d'-' -f2`; do | bash |
d_bash_23079 | ---
+++
@@ -1,10 +1,11 @@
#!/bin/bash
-wget https://releases.hashicorp.com/terraform/0.6.15/terraform_0.6.15_linux_amd64.zip -O /tmp/terraform.zip
+wget https://releases.hashicorp.com/terraform/0.6.16/terraform_0.6.16_linux_amd64.zip -O /tmp/terraform.zip
mkdir /tmp/terraform
unzip /tmp/terraform.zip -d /tmp/ter... | bash |
d_bash_23080 | ---
+++
@@ -7,9 +7,9 @@
else
npm -v >/dev/null 2>&1 || { echo >&2 "I require NPM but it's not installed.";exit 1; }
echo 'Checking BOWER...'
- bower -v >/dev/null 2>&1 || { echo 'BOWER not found, installing ...'; npm install -g bower; }
+ bower -v >/dev/null 2>&1 || { echo 'BOWER not found, installing ...'; sudo... | bash |
d_bash_23081 | ---
+++
@@ -3,7 +3,7 @@
case "$1" in
java8)
- echo "https://github.com/bell-sw/Liberica/releases/download/8u332+9/bellsoft-jdk8u332+9-linux-amd64.tar.gz"
+ echo "https://github.com/bell-sw/Liberica/releases/download/8u333+2/bellsoft-jdk8u333+2-linux-amd64.tar.gz"
;;
java11)
echo "https://github.com/b... | bash |
d_bash_23082 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-pyver=$(python -c "from __future__ import print_function; import sys; print('{}{}'.format(*sys.version_info[0:2]))")
-echo $pyver
-tox
+if [ "$TOXENV" != "cov" ] ; then
+ tox
+fi | bash |
d_bash_23083 | ---
+++
@@ -5,7 +5,8 @@
export PYTHONPATH=`pwd`
# regular unit tests
-find ./barrister/test -name "*_test.py" -exec python {} \; -print
+# use xargs instead of -exec so that we get exit code propegation
+find ./barrister/test -name "*_test.py" -print | xargs -n1 python
# conformance test suite
cd conform; pyt... | bash |
d_bash_23084 | ---
+++
@@ -23,9 +23,6 @@
fi
aclocal --install || exit 1
-glib-gettextize --force --copy || exit 1
-gtkdocize --copy || exit 1
-intltoolize --force --copy --automake || exit 1
autoreconf --verbose --force --install || exit 1
cd "$olddir" | bash |
d_bash_23085 | ---
+++
@@ -10,7 +10,7 @@
baseBranch=develop
else
echo "Please select the branch based on:"
- select baseBranch in `git branch | grep -E "$3"`
+ select baseBranch in `git branch | grep -E "$3" | cut -d ' ' -f 2,3`
do
break
done | bash |
d_bash_23086 | ---
+++
@@ -5,5 +5,5 @@
since="$(git describe --abbrev=0 HEAD^).."
fi
-git log --reverse --pretty=format:'* %s, @%aN)' "$since" | egrep 'fixes #\d|ref #\d' | sed 's/),/,/' | sed 's/fixes #/#/g' | sed 's/ref #/#/g'
+git log --reverse --pretty=format:'* %s, @%aN)' "$since" | egrep 'fixes #\d|ref #\d' | sed 's/)[,.... | bash |
d_bash_23087 | ---
+++
@@ -8,4 +8,5 @@
sudo make install
sudo mysql -e 'create database test_gir;'
+sudo mysql -e 'SET GLOBAL sql_mode="";'
psql -c 'create database test_gir;' -U postgres | bash |
d_bash_23088 | ---
+++
@@ -20,9 +20,9 @@
# Download and configure conda.
cd /usr/share/miniconda
-curl http://repo.continuum.io/miniconda/Miniconda-latest-Linux-x86_64.sh > miniconda.sh
-bash miniconda.sh -b -p /opt/conda
-rm miniconda.sh
+curl http://repo.continuum.io/miniconda/Miniconda2-latest-Linux-x86_64.sh > miniconda2.sh... | bash |
d_bash_23089 | ---
+++
@@ -1,6 +1,6 @@
_phing () {
if [ -f build.xml ]; then
- compadd $(phing -l|grep -v "\[property\]"|grep -v "Buildfile"|sed 1d|grep -v ":$" |grep -v "^\-*$"|awk '{print $1}')
+ compadd $(phing -l|grep -v "\[property\]"|grep -v "Buildfile"|sed 1d|grep -v ":$" |grep -v "^\-*$"|grep -v "Warning:"|awk '{p... | bash |
d_bash_23090 | ---
+++
@@ -7,9 +7,13 @@
echo ""
echo "Remove local shed dir..."
-echo "=========================="
+echo "========================"
rm -rf $shed_dir
echo ""
+
+echo "Stop FTP server..."
+echo "=================="
+sudo kill -TERM `sudo cat $lib_dir/proftpd/var/proftpd.pid`
echo "Drop database and user..."
... | bash |
d_bash_23091 | ---
+++
@@ -8,5 +8,4 @@
npm test
npm run test:coverage
export PATH="$HOME/miniconda/bin:$PATH"
-npm run test:integration
npm run docs | bash |
d_bash_23092 | ---
+++
@@ -19,4 +19,4 @@
sed -i "s/{%APP_PORT%}/${APP_PORT_NUMBER}/g" /etc/nginx/conf.d/mattermost.conf
# Run Nginx
-nginx -g 'daemon off;'
+exec nginx -g 'daemon off;' | bash |
d_bash_23093 | ---
+++
@@ -17,6 +17,7 @@
ca-certificates \
cron \
gcc \
+ gnupg \
libbz2-dev \
libpcre3-dev \
libexpat1-dev \ | bash |
d_bash_23094 | ---
+++
@@ -13,6 +13,7 @@
find . -name "makeRelease.sh" -exec rm -rf {} \; &>/dev/null
find . -name "local_*" -exec rm -rf {} \; &>/dev/null
find . -name "static" -exec rm -rf {} \; &>/dev/null
+find . -name ".idea" -exec rm -rf {} \; &>/dev/null
cd ..
tar c google-api-php-client | gzip > $RELFILE
rm -rf $TMPDI... | bash |
d_bash_23095 | ---
+++
@@ -35,5 +35,5 @@
git clone https://github.com/ipython/ipython.git
fi
-PYTHONPATH=$PWD/ipython python ipython/ipython.py notebook
+PYTHONPATH=$PWD/ipython python ipython/ipython.py notebook --port 7777
| bash |
d_bash_23096 | ---
+++
@@ -18,4 +18,4 @@
rm -f $PASSWORD_FILE
fi
-rest-server --listen ":80" --path $DATA_DIRECTORY
+rest-server --listen ":80" $OPTIONS --path $DATA_DIRECTORY | bash |
d_bash_23097 | ---
+++
@@ -4,5 +4,5 @@
cd "$( dirname "${BASH_SOURCE[0]}" )/.."
source .envrc
-go build -ldflags="-s -w" -o bin/supply go/supply/cli
-go build -ldflags="-s -w" -o bin/finalize go/finalize/cli
+GOOS=linux go build -ldflags="-s -w" -o bin/supply go/supply/cli
+GOOS=linux go build -ldflags="-s -w" -o bin/finalize g... | bash |
d_bash_23098 | ---
+++
@@ -1,8 +1,14 @@
#!/bin/bash
if [ "$EUID" -ne 0 ]
- then echo "[Error] Please run as root"
- exit
+ then
+ echo "[Error] Please run as root"
+ exit
fi
-rm -r /usr/share/tweelectron
+if [ -d "/usr/share/tweelectron" ]
+ then
+ echo "Old version exists. Removing..."
+ rm -r /usr/share/tweelec... | bash |
d_bash_23099 | ---
+++
@@ -5,6 +5,12 @@
echo $path
mkdir -p ~/tmp/
-mv $guisystem_location/GUISystem ~/tmp
+mv $guisystem_location/GUISystem ~/tmp
+mv $guisystem_location/Networking ~/tmp
+mv $guisystem_location/UnityAnalytics ~/tmp
+
$unity_location -projectPath $path -quit
mv ~/tmp/GUISystem $guisystem_location
+mv ~/tmp/N... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.